package com.ejie.ab04b.model.nora;

/**
 * Localidad
 * 
 * @author GFI
 * 
 */
public class Localidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String codProvincia;
	private String codMunicipio;
	private String codLocalidad;
	private String descripcion;

	/**
	 * Method 'Localidad'.
	 */
	public Localidad() {
		super();
	}

	/**
	 * Method 'Localidad'.
	 * 
	 *  codLocalidad
	 *            String
	 *
	 * @param codLocalidad the cod localidad
	 */
	public Localidad(String codLocalidad) {
		super();
		this.codLocalidad = codLocalidad;
	}

	/**
	 * Method 'Localidad'.
	 * 
	 *  codProvincia
	 *            String
	 *  codMunicipio
	 *            String
	 *  codLocalidad
	 *            String
	 *  descripcion
	 *            String
	 *
	 * @param codProvincia the cod provincia
	 * @param codMunicipio the cod municipio
	 * @param codLocalidad the cod localidad
	 * @param descripcion the descripcion
	 */
	public Localidad(String codProvincia, String codMunicipio,
			String codLocalidad, String descripcion) {
		super();
		this.codProvincia = codProvincia;
		this.codMunicipio = codMunicipio;
		this.codLocalidad = codLocalidad;
		this.descripcion = descripcion;
	}

	/**
	 * Method 'getCodProvincia'.
	 * 
	 *  String
	 *
	 * @return the cod provincia
	 */
	public String getCodProvincia() {
		return this.codProvincia;
	}

	/**
	 * Method 'setCodProvincia'.
	 * 
	 *  codProvincia
	 *            String
	 *
	 * @param codProvincia the new cod provincia
	 */
	public void setCodProvincia(String codProvincia) {
		this.codProvincia = codProvincia;
	}

	/**
	 * Method 'getCodMunicipio'.
	 * 
	 *  String
	 *
	 * @return the cod municipio
	 */
	public String getCodMunicipio() {
		return this.codMunicipio;
	}

	/**
	 * Method 'setCodMunicipio'.
	 * 
	 *  codMunicipio
	 *            String
	 *
	 * @param codMunicipio the new cod municipio
	 */
	public void setCodMunicipio(String codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	/**
	 * Method 'getCodLocalidad'.
	 * 
	 *  String
	 *
	 * @return the cod localidad
	 */
	public String getCodLocalidad() {
		return this.codLocalidad;
	}

	/**
	 * Method 'setCodLocalidad'.
	 * 
	 *  codLocalidad
	 *            String
	 *
	 * @param codLocalidad the new cod localidad
	 */
	public void setCodLocalidad(String codLocalidad) {
		this.codLocalidad = codLocalidad;
	}

	/**
	 * Method 'getDescripcion'.
	 * 
	 *  String
	 *
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return this.descripcion;
	}

	/**
	 * Method 'setDescripcion'.
	 * 
	 *  descripcion
	 *            String
	 *
	 * @param descripcion the new descripcion
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 *  String
	 *
	 * @return the string
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append("[ codProvincia: ").append(this.codProvincia)
				.append(" ]");
		result.append(", [ codMunicipio: ").append(this.codMunicipio)
				.append(" ]");
		result.append(", [ codLocalidad: ").append(this.codLocalidad)
				.append(" ]");
		result.append(", [ descripcion: ").append(this.descripcion)
				.append(" ]");
		result.append("}");
		return result.toString();
	}
}